## procps 3.2.7-11maemo1%2b0m5

=== debian/changelog ===
procps (1:3.2.7-11maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 15 Jun 2009 11:31:20 +0300

procps (1:3.2.7-11maemo1) unstable; urgency=low

  * Downgraded debhelper compat level to 5 for Maemo

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 12 Jun 2009 17:02:53 +0300

procps (1:3.2.7-11) unstable; urgency=low

  * Reversed rules line so init.d is in everything except kfreebsd
    Closes: #511513

 -- Craig Small <csmall@debian.org>  Mon, 12 Jan 2009 08:48:53 +1100

procps (1:3.2.7-10) unstable; urgency=low

  * PATH_MAX problem fixed Closes: #496274
  * NOHZ patch appilied Closes: #495882
  * Added some extra comments about sysctl Closes: #495884
  * init script respects VERBOSE Closes: #495885
  * More ps sorting Closes: #508435
  * ps displays cgroups Closes: #469669
  * Added cross build support Closes: #451812
  * Added Hilko's fix for sysctl Closes: #511082
  * Applied Mortys watch exec patch, thankyou!! 
    Closes: #225549, #155227, #420377, #481679,#410967
  * top UID length now increased to 5 Closes: #426782
  * init script not installed for kFreeBSD Closes: #502729
  * Fixed kernel.maps_protect entry in sysctl.conf Closes: #494655
  * D flag documented in man page Closes: #495987
  * w uses locale for centi-seconds Closes: #252575
  * Corrected w-bassman patch which made ALL times change and documented
    what the times mean in w.1 Closes: #414906
  * Changed dh_clean -k to dh_prep
  * Updated to debhelper 7
  * Replaced may in kill.1 Closes: #375739
  * Added precision wait time to watch Closes: #183486
  * top exits if it cannot read /proc Closes: #378695
  * Adjusted top.1 as CODE DATA fields were incorrect Closes: 267873
  * Added --errexit flag on watch to exit on command error Closes:
    #183346

 -- Craig Small <csmall@debian.org>  Sun, 11 Jan 2009 12:29:42 +1100

procps (1:3.2.7-9.1) unstable; urgency=low

  * NMU
  * Removes spuirous debug printf() that breaks other packages
    (Closes: #511082)

 -- Hilko Bengen <bengen@debian.org>  Wed, 07 Jan 2009 13:47:37 +0100

procps (1:3.2.7-9) unstable; urgency=low

  * Reverse order of sysctl file reads
  * Added sys.kernel.maps_protect option to syctl.conf Closes: #446466
  * Add up 7 cpu numbers Closes: 460331
  * Top closes when it gets EOF Closes: #458986, #416976
  * Fixed -a option processing Closes: #408608
  * Added German man page for w Closes: #390225
  * Updated to standards version 3.8.0

 -- Craig Small <csmall@debian.org>  Sun, 10 Aug 2008 11:49:12 +1000

procps (1:3.2.7-8) unstable; urgency=low

  * Quote $file in init script and remove weird *.conf directory
    Closes: #474710, #474725

 -- Craig Small <csmall@debian.org>  Tue, 08 Apr 2008 08:34:54 +1000

procps (1:3.2.7-7) unstable; urgency=low

  * Actually apply top patch Closes: #351065
  * Irix mode + thread CPU fix Closes: #459890
  * kill/skill prints error message Closes: #468363
  * rule file changes for nostrip and passing CFLAGS Closes: #468656
  * Duplicate ignore broadcast in sysctl.conf removed Closes: #474406
  * Added IPv6 lines for redirects and source route to sysctl.conf
    Closes: #474431
  * Fixed IPv6 forwarding line in sysctl.conf Closes: #469557, #464150
  * pri field explained in ps.1 Closes: #465761
  * sysct.conf now has TCP/IP instead of TCP.IP again Closes: #463652,
    #463824
  * Added /etc/sysctl.d/ directory for other packages Closes: #370351
  * Added bug presubj for kill Closes: #409118
  * no-heading option documented in ps.1 Closes: #431081

 -- Craig Small <csmall@debian.org>  Mon, 07 Apr 2008 10:01:05 +1000

procps (1:3.2.7-6) unstable; urgency=low

  * Remove procps.sh version check Closes: #459680
  * Added Paolo's patch to fix highlighting cutoffs Closes: #351065
  * Cleaned up sysctl.conf Closes: #447076, #446466, #446989, #446990, #465449
  * Removed missing option from sysctl.conf Closes: #460665
  * Changed to standard version 3.7.3

 -- Craig Small <csmall@debian.org>  Fri, 01 Feb 2008 23:01:28 +1100

procps (1:3.2.7-5) unstable; urgency=low

  * Added headers into vmstat Closes: #436805
  * totpages and pslab removed from vmstat.8 Closes: #436806
  * Conditionally move procps.sh to procps init script Closes: #437063
  * SEE ALSO section in pgrep.1 uses .BR Closes: #437678
  * ipv4 forwarding example fixed Closes: #418804
  * top minimum time adjusted Closes: #298347
  * pgrep.1 patch doesnt add the -c option again Closes: #385621, #431884
  * Fixed minor typo in free.1 Closes: #435540
  * top.1 mentions st steal time Closes: #402478
  * Added some security-enhancing options to sysctl.conf Closes: #324593
  * Updated date on patched man pages as this is their new issue date

 -- Craig Small <csmall@debian.org>  Thu, 04 Oct 2007 22:44:25 +1000

procps (1:3.2.7-4.1) unstable; urgency=low

  * armel porter NMU.
  * DEB_HOST_GNU_SYSTEM != linux-gnu on armel. Check DEB_HOST_ARCH_OS instead.
    Closes: #437613

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 15:55:08 -0400

procps (1:3.2.7-4) unstable; urgency=low

  * top exits with correct code Closes: #341272, #354255
  * sysctl malloc extended by 1 Closes: #423704
  * sysctl.conf has both rp_filter lines Closes: #389395
  * Updated top.c resize patch Closes: #256376
  * Changed /proc message Closes: #292721
  * Correct return code for pgrep Closes: #413383
  * Correct return code for vmstat Closes: #425492
  * init script lost it .sh we dont need it Closes: #343620
  * Adjusted the shlibs so they are more relaxed.

 -- Craig Small <csmall@debian.org>  Wed, 08 Aug 2007 20:27:55 +1000

procps (1:3.2.7-3) unstable; urgency=low

  * Changed init script dependencies Closes: #386637, #386341
  * init script uses lsb logging Closes: #384920

 -- Craig Small <csmall@debian.org>  Wed, 13 Sep 2006 11:27:56 +1000

procps (1:3.2.7-2) unstable; urgency=medium

  * pgrep c option patch works correctly Closes: #375791

