=== debian/control ===
Source: procps
Section: admin
Priority: required
Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 5), libncurses5-dev, make (>= 3.78.1-8), dpatch
Standards-Version: 3.8.0

Package: procps
Architecture: any
Depends: ${shlibs:Depends}, lsb-base (>= 3.0-10)
Provides: watch
Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
Replaces: watch, bsdutils (<< 2.9x-1)
Recommends: psmisc
Description: /proc file system utilities
 These are utilities to browse the /proc filesystem, which is not a real file
 system but a way for the kernel to provide information about the status of
 entries in its process table. (e.g. running, stopped or "zombie")
 Both command line and full screen utilities are provided. Ncurses is needed
 for the full screen utilities.  More information can be found at procps
 website http://procps.sf.net/
 .
 This package includes the following utilities: top, uptime, tload,
 free, vmstat, watch, skill, pmap, pgrep, slabtop and pwdx.

Package: libproc-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libc6-dev, procps (= ${binary:Version})
Description: library for accessing process information from /proc
 These are the header files for libproc. Some packages using libproc
 to access process information from /proc need these to compile.
