=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Include dpatch stuff
include /usr/share/dpatch/dpatch.make

PACKAGE="procps"
DEBROOT=$(CURDIR)/debian/procps

DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif


CFLAGS=-g

build: build-stamp

build-stamp: patch-stamp
	dh_testdir

	[ -d static ] || mkdir static
	$(MAKE) $(CROSS) lib64=lib SHARED=0 CFLAGS="$(CFLAGS)" proc/libproc.a 
	mv proc/libproc.a static
	$(MAKE) clean
	$(MAKE) $(CROSS) W_SHOWFROM=\-DW_SHOWFROM lib64=lib  CFLAGS="$(CFLAGS)"

	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -rf static
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/procps.
	$(MAKE) $(CROSS) lib64=lib ln_f="ln -sf" ldconfig=echo DESTDIR=$(DEBROOT) install
	install --mode 644 -o root -g root debian/sysctl.conf $(DEBROOT)/etc/
	cp debian/lintian $(DEBROOT)/usr/share/lintian/overrides/procps
	cp debian/bug-presubj $(DEBROOT)/usr/share/bug/procps/presubj

	# Rename w as there are two of them
	(cd $(DEBROOT)/usr/bin && mv w w.procps )
	(cd $(DEBROOT)/usr/share/man/man1 && mv w.1 w.procps.1 )


	# Work-around until proc includes fixed
	(cp proc/*.h $(CURDIR)/debian/libproc-dev/usr/include/proc)
	cp static/libproc.a $(CURDIR)/debian/libproc-dev/usr/lib

ifneq ($(DEB_HOST_ARCH_OS), linux)
	rm -f \
		$(CURDIR)/debian/procps/usr/bin/slabtop \
		$(CURDIR)/debian/procps/usr/share/man/man1/slabtop.1 \
		$(CURDIR)/debian/procps/sbin/sysctl \
		$(CURDIR)/debian/procps/usr/share/man/man8/sysctl.8 \
		$(NULL)
endif
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	rm -f \
		$(CURDIR)/debian/procps/bin/kill \
		$(CURDIR)/debian/procps/usr/share/man/man1/kill.1 \
		$(NULL)
endif
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	rm -f \
		$(CURDIR)/debian/procps/usr/bin/pmap \
		$(CURDIR)/debian/procps/usr/share/man/man1/pmap.1 \
		$(NULL)
    # Rename kill as there are two of them
	(cd $(DEBROOT)/bin && mv kill kill.procps )
	(cd $(DEBROOT)/usr/share/man/man1 && mv kill.1 kill.procps.1 )

	# Rename vmstat as there are two of them
	(cd $(DEBROOT)/usr/bin && mv vmstat vmstat.procps )
	(cd $(DEBROOT)/usr/share/man/man8 && mv vmstat.8 vmstat.procps.8 )
	
    # Rename uptime as there are two of them
	(cd $(DEBROOT)/usr/bin && mv uptime uptime.procps )
	(cd $(DEBROOT)/usr/share/man/man1 && mv uptime.1 uptime.procps.1 )

	# Rename ps as there are two of them
	(cd $(DEBROOT)/bin && mv ps ps.procps )
	(cd $(DEBROOT)/usr/share/man/man1 && mv ps.1 ps.procps.1 )
endif

	dh_movefiles --sourcedir=debian/procps
	#rmdir $(CURDIR)/debian/procps/usr/include/proc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
ifneq ($(DEB_HOST_ARCH_OS), kfreebsd)
	dh_installinit --update-rcd-params='start 30 S .' 
endif
#	dh_installcron
	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs -V "procps (>= 3.2.7), procps (<< 3.2.8)"
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -L procps -l debian/procps/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean1
