## procps 3.2.8

=== debian/changelog ===
procps (1:3.2.8-9ubuntu3) maverick; urgency=low

  * debian/sysctl.d/10-ptrace.conf: adjusted to include new yama path.

 -- Kees Cook <kees@ubuntu.com>  Tue, 06 Jul 2010 15:23:12 -0700

procps (1:3.2.8-9ubuntu2) maverick; urgency=low

  * debian/procps.upstart: duplicate the original init script behavior of
    not failing on unknown keys (required for cross-kernel upgrades, etc).

 -- Kees Cook <kees@ubuntu.com>  Wed, 09 Jun 2010 10:18:14 -0700

procps (1:3.2.8-9ubuntu1) maverick; urgency=low

  * Merge with Debian unstable; remaining changes:
    - debian/rules (Ubuntu-specific):
      - use upstart for init script.
      - install sysctl files from new sysctl.d directory.
    - debian/sysctl.d (Ubuntu-specific):
      - 10-console-messages.conf: stop low-level kernel messages on console.
      - 10-network-security.conf: enable rp_filter and SYN-flood protection.
      - 10-keyboard.conf.powerpc: mouse button emulation on PowerPC.
      - 10-zeropage.conf: safe mmap_min_addr value for graceful fall-back.
      - README: describe how this directory is supposed to work.
    - debian/upstart, debian/postinst (Ubuntu-specific):
      - upstart configuration to replace old style sysv init script.
  * Fixed upstream: debian/patches/60_linux_version_init.dpatch
  * Added debian/sysctl.d/10-ptrace.conf: describe new PTRACE setting.

 -- Kees Cook <kees@ubuntu.com>  Tue, 08 Jun 2010 11:45:44 -0700

procps (1:3.2.8-9) unstable; urgency=low

  * Fix for patch on cgroup crash Closes: #579824

 -- Craig Small <csmall@debian.org>  Sun, 02 May 2010 21:06:06 +1000

procps (1:3.2.8-8) unstable; urgency=low

  * Work-around for kfreebsd HZ problem Bug #460331
  * Added comments about ipv6 keys to README Closes: #507788
    ipv6 is compiled in by default so this impacts custom kernels only
  * Added note the ipv4/tcp* keys effect ipv6 too Closes: #571281
  * watch interprets ANSI color Closes: #129334
  * Fixed off by one for top -u username Closes: #571790
  * Document maj_flt and min_flt in ps.1 Closes: #434221

 -- Craig Small <csmall@debian.org>  Mon, 01 Mar 2010 12:37:06 +1100

procps (1:3.2.8-7) unstable; urgency=low

  * Adjusts skill_multiarg.patch so multiple args work Closes: #569030

 -- Craig Small <csmall@debian.org>  Wed, 10 Feb 2010 21:36:05 +1100

procps (1:3.2.8-6) unstable; urgency=low

  * Removed non-linux binaries from package Closes: #568255
  * Cleaned up some extra files not needed in hurd and kfreebsd
  * top handles numeric arguments better Closes: #358724
  * Explain what SWAP means in top.1 Closes: #217841
  * w makes better guesses at process Closes: #187808

 -- Craig Small <csmall@debian.org>  Fri, 05 Feb 2010 23:03:38 +1100

procps (1:3.2.8-5) unstable; urgency=low

  * Need both ncurses*-dev depends Closes: #568038

 -- Craig Small <csmall@debian.org>  Tue, 02 Feb 2010 14:21:46 +1100

procps (1:3.2.8-4) unstable; urgency=low

  * Build-depends on libncurses5w-dev Closes: #567783
  * Updated to standards 3.8.4
  * Changed priority to important See: #564504
  * Added Vcs-* fields to control

 -- Craig Small <csmall@debian.org>  Mon, 01 Feb 2010 13:53:43 +1100

procps (1:3.2.8-3) unstable; urgency=low

  * Changed source format to 3.0 quilt
  * rules file to new debhelper tiny format
  * some pid points set to null if status file cannot be read Closes: #550009
  * vmstat doesn't scale things that shouldn't Closes: #558134
  * Limit counter wrap with vmstat Closes: #558361
  * Adjusted rules file so wont build amd64 files on i386 Closes:
    #558089
  * Removed kernel.maps_protect from example file Closes: #554808
  * skill doesnt treat null param as 0 Closes: #551173
  * Reduced init.d verbosity Closes: #567704
  * Documented /etc/sysctl.d directory Closes: #551933
  * sysctl.conf warns about RAs ignored with ipv6 forwarding Closes:
    #545007
  * free -o better documented Closes: #526604
  * slabtop -o doesnt use ncurses slabtop_once patch Closes: #503089
  * libproc.so symlink in -dev package Closes: #306778
  * skill/snice option parsing fixed Closes: #331419
  * Forced libproc constructor order Closes: #460331
  * pmap -x prints RSS and dirty columns Closes: #347476, #505571

 -- Craig Small <csmall@debian.org>  Sun, 31 Jan 2010 18:31:08 +1100

procps (1:3.2.8-2) unstable; urgency=low

  * ps displays supplementary groups Closes: #506303
  * Updated to standards version 3.8.3
  * Removed setproctitle reference in ps.1 Closes: #529045
  * Fixed LGPL path in copyright Closes: 528814
  * Adjusted printk in sysctl suggestion Closes: #526855
  * Fixed package description Closes: #535954
  * Renamed second SZ to SIZE in ps Closes: #541061
  * Removed net options in sysctl.conf that are there by default Closes:
    #540186
  * Updated free.1 Closes: #534198
  * Fixed typo in NEWS.Debian Closes: #513381
  * Removed comment about window scaling in sysctl example Closes:
    #512764
  * ps.1 options sorted Closes: #518620
  * Added PROCPS_USERLEN environment variable to set username length in
    w Closes: #396423
  * Added PROCPS_FROMLEN environment variable to set from column width
    in w Closes: #341439
  * Adjusted column width for ps.1

 -- Craig Small <csmall@debian.org>  Mon, 05 Oct 2009 21:14:10 +1100

procps (1:3.2.8-1.2) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Avoid using /usr/bin/which in init.d script, to make sure it work
    before /usr/ is mounted (Closes: #548802).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 01 Oct 2009 11:30:03 +0200

procps (1:3.2.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix release goal.
  * Correct init.d script dependencies and depend on initscripts
    to make sure the required script dependencies are present
    (Closes: #546888).
  * Add depend on ${misc:Depends} some times used by debhelper.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Sep 2009 17:02:42 +0200

procps (1:3.2.8-1ubuntu4) lucid; urgency=low


