=== debian/control ===
Source: procps
Section: admin
Priority: important
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
Build-Depends: debhelper (>= 7.2.3~), libncurses5-dev, libncursesw5-dev
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/collab-maint/procps.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/procps.git;a=summary
Homepage: http://procps.sf.net/

Package: procps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), initscripts
Provides: watch
Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
Replaces: watch, bsdutils (<< 2.9x-1)
Recommends: psmisc
Description: /proc file system utilities
 This package provides command line and full screen utilities for browsing
 procfs, a "pseudo" file system dynamically generated by the kernel to
 provide information about the status of entries in its process table
 (such as whether the process is running, stopped, or a "zombie").
 .
 It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
 snice, sysctl, tload, top, uptime, vmstat, w, and watch.

Package: libproc-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: ${misc:Depends}, libc6-dev, procps (= ${binary:Version})
Description: library for accessing process information from /proc
 These are the header files for libproc. Some packages using libproc
 to access process information from /proc need these to compile.
