## procps 3.3.1

=== debian/changelog ===
procps (1:3.3.1-1) unstable; urgency=low

  * New upstream version
    - pgrep -u finds processes Closes: #649591
    - slabtop_once patch applied upstream
    - watch_8bitchar patch applied upstream
    - vmstat_part_format patch applied upstream
  * include correct libproc-ng.so symlink Closes: #650314, #638916, #651117

 -- Craig Small <csmall@debian.org>  Tue, 06 Dec 2011 21:51:15 +1100

procps (1:3.3.0-1) unstable; urgency=low

  * Forked upstream version from procps-ng
    - top fixed. Removed patches top_irix, top_stdin_eof,
        top_uid_length, top_c_resize, top_mintime,
        top_highlight, top_username
    - Manual pages updated: removed patches free.1, pmap.1,
         10_ps.1, skill.1, slabtop_1, sysctl.8, tload.1,
         uptime.1, vmstat.8, watch.1, kill.1, top.1,
         top.1_cpustates, w.1, pgrep.1, top_1_options,
         top_1_typos, top_1_flt_output, top_1_swap
    - New build system, remove patch module_mk_shared,
         library_map_freeproc, makefile_dev_null, makefile_include
    - kfreebsd patches applied to upstream
    - cgroup for ps Closes: #583745
  * Watch 8-bit temporary disabled
  * Added Multi-Arch: foreign to control Closes: #646834
  * Removed ancient conflicts on packages no longer in Debian
  * silently accepts status for init script Closes: #646250

 -- Craig Small <csmall@debian.org>  Mon, 21 Nov 2011 22:34:17 +1100

procps (1:3.2.8-11) unstable; urgency=low

  * No more complaints for 3.0 kernels Closes: #632749
  * vmstat truncated to 32bits Closes: #620557
  * Update to standards version 3.9.2

 -- Craig Small <csmall@debian.org>  Mon, 25 Jul 2011 22:20:41 +1000

procps (1:3.2.8-10) unstable; urgency=low

  * PATH_MAX fix for hurd Closes: #588677
  * Added sorting for mem% in ps Closes: #599043
  * Adjusted Makefile includes for make 3.82 Closes: #603759
  * Fixed minor typos in ps.1 Closes: #592116
  * Added RedHat patch procps-3.2.8-longcmd to stop truncated lines
  * cgroup added to ps.1 from RedHat patch ps_cgroup_display 
  * Read system time from /proc/stat instead of calculating - From SuSE
    patch btime-from-proc-stat
  * imported RedHat patch top-clrscr so top clears screen when quitting
  * Updated to standards version 3.9.1

 -- Craig Small <csmall@debian.org>  Thu, 18 Nov 2010 22:37:56 +1100
