=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: procps
 Section: admin
 Priority: important
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 7.2.3~), libncurses5-dev, libncursesw5-dev
-Standards-Version: 3.8.4
+Maintainer: Craig Small <csmall@debian.org>
+Build-Depends: debhelper (>= 8.0~), libncurses5-dev, libncursesw5-dev
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/procps.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/procps.git;a=summary
 Homepage: http://procps.sf.net/
 
 Package: procps
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), initscripts
 Provides: watch
-Conflicts: watch, libproc-dev (<< 1:1.2.6-2), w-bassman (<< 1.0-3), procps-nonfree, pgrep (<< 3.3-5)
-Replaces: watch, bsdutils (<< 2.9x-1)
+Conflicts: w-bassman (<< 1.0-3), pgrep (<< 3.3-5)
 Recommends: psmisc
 Description: /proc file system utilities
  This package provides command line and full screen utilities for browsing
