=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 DEBROOT=$(CURDIR)/debian/tmp
 
 DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -22,11 +21,13 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	if [ -d static ] ; then rm -rf static ; fi
+override_dh_auto_configure:
+	./configure --build=$(DEB_BUILD_GNU_TYPE) \
+	  --prefix=/ --mandir=$${prefix}/usr/share/man \
+	  --libdir=$${prefix}/usr/lib \
+	  --disable-dependency-tracking
 
-override_dh_auto_build:
+ioverride_dh_auto_build:
 	dh_testdir
 
 	[ -d static ] || mkdir static
@@ -39,24 +40,7 @@
 	touch build-stamp
 
 override_dh_auto_install:
-	$(MAKE) $(CROSS) lib64=lib ln_f="ln -sf" ldconfig=echo DESTDIR=$(DEBROOT) install
-
-	# Build up sysctl.d
-	install -d $(DEBROOT)/etc/sysctl.d/
-	install --mode 644 -o root -g root debian/sysctl.d/*.conf debian/sysctl.d/README $(DEBROOT)/etc/sysctl.d/
-ifneq (,$(wildcard debian/sysctl.d/*.conf.$(DEB_HOST_ARCH)))
-	# If a non-arch-specific default exists, install the arch-specific
-	# version of the conf in place of it, otherwise, build up a general
-	# 10-arch-specific.conf file.
-	for archconf in debian/sysctl.d/*.conf.$(DEB_HOST_ARCH); do \
-	    conf=$$(basename $$archconf .$(DEB_HOST_ARCH)); \
-	    if [ -f debian/sysctl.d/$$conf ]; then \
-	        install --mode 644 -o root -g root $$archconf $(DEBROOT)/etc/sysctl.d/$$conf; \
-	    else \
-	        cat $$archconf >> $(DEBROOT)/etc/sysctl.d/10-arch-specific.conf; \
-	    fi; \
-	done
-endif
+	dh_auto_install
 
 	# Rename w as there are two of them
 	(cd $(DEBROOT)/usr/bin && mv w w.procps )
@@ -104,6 +88,6 @@
 
 override_dh_installinit:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	dh_installinit --no-start --update-rcd-params='start 17 S .'
+	dh_installinit --update-rcd-params='start 30 S .' 
 endif
