## procps 3.3.2

=== debian/changelog ===
procps (1:3.3.2-3) unstable; urgency=low

  * Updated to debhelper compat level 9
  * DH9 uses harden build flags Closes: #656511
  * Added news entry about toprc file format change Closes: #651213

 -- Craig Small <csmall@debian.org>  Mon, 23 Jan 2012 22:28:38 +1100

procps (1:3.3.2-2) unstable; urgency=low

  * sysctl -p has no space, update init and man page Closes: #655685

 -- Craig Small <csmall@debian.org>  Fri, 13 Jan 2012 23:56:42 +1100

procps (1:3.3.2-1) unstable; urgency=low

  * New upstream version
  * libprocps split out into own package Closes: #651203, #651179
  * free -b uses long long variables Closes: #654368
  * w built with from on by default Closes: #651486
  * libproc symlink corrected Closes: #651117
  * Fixed install files for kfreebsd and hurd Closes: #652128
  * reload option added to init Closes: #628980

 -- Craig Small <csmall@debian.org>  Mon, 09 Jan 2012 22:44:38 +1100
