=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: admin
 Priority: important
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 8.0~), libncurses5-dev, libncursesw5-dev
+Build-Depends: debhelper (>= 9.20120115), libncurses5-dev, libncursesw5-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/procps.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/procps.git;a=summary
-Homepage: http://procps.sf.net/
+Homepage: http://gitorious.org/procps
 
 Package: procps
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), initscripts
+Breaks: xmem (<= 1.20-27.1), guymager (<= 0.5.9-1), open-vm-tools (<= 2011.12.20-562307-1 )
 Provides: watch
 Conflicts: w-bassman (<< 1.0-3), pgrep (<< 3.3-5)
 Recommends: psmisc
@@ -24,11 +25,27 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libproc-dev
+Package: libprocps0
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: procps ( << 1:3.3.2-1)
+Description: library for accessing process information from /proc
+ The libprocps library is a way of accessing information out of the /proc
+ filesystem.
+ .
+ This package contains the shared libraries necessary to run programs
+ compilied with libprocps.
+
+Package: libprocps0-dev
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: ${misc:Depends}, libc6-dev, procps (= ${binary:Version})
+Depends: libprocps0 (=${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libprocps-dev
+Conflicts: libproc-dev
+Replaces: libproc-dev
 Description: library for accessing process information from /proc
  These are the header files for libproc. Some packages using libproc
  to access process information from /proc need these to compile.
