## procps 3.3.3

=== debian/changelog ===
procps (1:3.3.3-3) testing-proposed-updates; urgency=medium

  * 3.3.3-3 Fix ps crash with large process groups Closes: #702965

 -- Craig Small <csmall@debian.org>  Thu, 28 Mar 2013 21:03:15 +1100

procps (1:3.3.3-2) unstable; urgency=low

  * Fixes for kFreeBSD Closes: #674785
  * pgrep -u off by one fixed Closes: #676239

 -- Craig Small <csmall@debian.org>  Sun, 17 Jun 2012 17:58:55 +1000

procps (1:3.3.3-1) unstable; urgency=low

  * New upstream version
    - Changed labels of kB etc to KiB Closes: #662786
    - top supports hotplugged memory and cpus Closes: #351934, #459287
    - top %cpu not distorted when switch to/from threads Closes: #441166
    - top can read old toprc configuration files Closes: #651213, #651863
    - top supports input paste once again Closes: #663334
    - top -p avoids SEGV when pid doesn't exist Closes: 668335
    - pgrep.1 groff syntax fix Closes: #665425
    - sysctl .conf off-by-one error Closes: #669128
    - top forestview doesnt segfault Closes: #650864
    - skill: fix argument parsing regression Closes: #659038
    - sysctl: fix argument parsing regression Closes: #666181
    - watch: inform about optional argument for -d switch Closes: #597021
    - top.1: Fixed groff warnings Closes: #664015

  * Update to standard version 3.9.3 - no changes

 -- Craig Small <csmall@debian.org>  Sun, 20 May 2012 16:48:44 +1000
