=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: important
 Maintainer: Craig Small <csmall@debian.org>
 Build-Depends: debhelper (>= 9.20120115), libncurses5-dev, libncursesw5-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/procps.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/procps.git;a=summary
 Homepage: http://gitorious.org/procps
