=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	./configure \
 	  --build=$(DEB_BUILD_GNU_TYPE) \
 	  --enable-watch8bit --enable-w-from \
+	  --enable-skill \
 	  --prefix=/usr \
 	  --exec-prefix=/ \
 	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
