## procps 3.3.6

=== debian/changelog ===
procps (1:3.3.6-1) unstable; urgency=low

  * New upstream version
    - top has new inspect (Y key) feature that some program can be run against
      the selected PID
    - sysctl.8: format fix in synopsis Closes: #675848
    - Expose freeproc for libproc Closes: #681653
    - ps.1: format fix in notes Closes: #692170
    - Add -c count option to pkill Closes: #693783
    - vmstat occasional crashes fixed Closes: #677903
  * libprocps now in Section: libs Closes: #693647

 -- Craig Small <csmall@debian.org>  Tue, 01 Jan 2013 13:47:29 +1100

procps (1:3.3.5-1) unstable; urgency=low

  * New upstream version
  * Stop SIGFPE on vmstat at times Closes: #677903
  * Upstream took freebsd bug patch
  * Second re-release due to 3.3.4-2 required first

 -- Craig Small <csmall@debian.org>  Sun, 18 Nov 2012 08:24:51 +1100

procps (1:3.3.4-2) unstable; urgency=medium

  * Rolled back 3.3.4 API changes Closes: #692063, #691847

 -- Craig Small <csmall@debian.org>  Sun, 04 Nov 2012 22:49:06 +1100

procps (1:3.3.4-1) unstable; urgency=low

  * New upstream version
    * kill: takes negative pids again Closes: #688731
    * pgrep: -F doesnt need line feed Closes: #676709
    * ps: removed bogus ps bogus message Closes: #670592
    * watch: doesnt crash with wide characters Closes: #675069
    * pgrep: -a modifies output -f changes matches Closes: #526355
    * top: add major/minor page fault deltas Closes: #84992
    * ps: favor truncation of long names over POSIX/UNIX standard Closes:
      #598089
  * Added X-Start-Before to init script Closes: #676381

 -- Craig Small <csmall@debian.org>  Mon, 29 Oct 2012 22:12:08 +1100
