=== debian/control ===
--- 
+++ 
@@ -25,9 +25,10 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libprocps0
+Package: libprocps1
 Architecture: any
 Multi-Arch: same
+Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: procps ( << 1:3.3.2-1)
@@ -38,11 +39,11 @@
  This package contains the shared libraries necessary to run programs
  compilied with libprocps.
 
-Package: libprocps0-dev
+Package: libprocps1-dev
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libprocps0 (=${binary:Version}), libc-dev, ${misc:Depends}
+Depends: libprocps1 (=${binary:Version}), libc-dev, ${misc:Depends}
 Provides: libprocps-dev
 Conflicts: libproc-dev
 Replaces: libproc-dev
