=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,8 @@
 %:
 	dh $@
 
-autogen-files := debian/libprocps0.install debian/libprocps0-dev.install \
-  debian/libprocps0-dev.links
+autogen-files := debian/libprocps1.install debian/libprocps1-dev.install \
+  debian/libprocps1-dev.links
 
 debian/%: debian/%.in 
 	sed -e 's/$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' $< > $@ 
@@ -93,5 +93,5 @@
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libprocps0 (>= 1:3.3.2-1)'
+	dh_makeshlibs -V 'libprocps1 (>= 1:3.3.5-1)'
