## procps 3.3.9

=== debian/changelog ===
procps (2:3.3.9-9+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * top: Do not default to the cwd in configs_read(). (CVE-2018-1122)
  * ps/output.c: Fix outbuf overflows in pr_args() etc. (CVE-2018-1123)
  * proc/readproc.c: Fix bugs and overflows in file2strvec(). (CVE-2018-1124)
  * pgrep: Prevent a potential stack-based buffer overflow (CVE-2018-1125)
  * proc/alloc.*: Use size_t, not unsigned int. (CVE-2018-1126)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 May 2018 16:28:00 +0200

procps (2:3.3.9-9) unstable; urgency=medium

  * pmap: output with unreadale /proc/1/smaps Closes: #775624

 -- Craig Small <csmall@debian.org>  Sat, 07 Mar 2015 08:11:15 +1100

procps (2:3.3.9-8) unstable; urgency=medium

  * Revert to 3.3.9 upstream for Jessie freeze

 -- Craig Small <csmall@debian.org>  Sun, 28 Sep 2014 09:44:44 +1000

procps (1:3.3.10-1) unstable; urgency=medium

  * New upstream source
    - sysctl --system loads default config file Closes: #732920
    - free considers slabs in displayed totals Closes: #565518

 -- Craig Small <csmall@debian.org>  Wed, 24 Sep 2014 22:37:52 +1000

procps (1:3.3.9-7) unstable; urgency=medium

  * Fix testsuite kill Closes: #754620, #725743

 -- Craig Small <csmall@debian.org>  Sun, 13 Jul 2014 22:47:30 +1000

procps (1:3.3.9-6) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Run dh-autoreconf (build-dep on pkg-config fixes autoconf
    error). (Closes: #749547)
  * Add libnuma-dev as build-dep for ppc64el.

 -- Craig Small <csmall@debian.org>  Sun, 29 Jun 2014 00:16:17 +1000

procps (1:3.3.9-5) unstable; urgency=medium

  * Bypass vmstat -p test Closes: #743758

 -- Craig Small <csmall@debian.org>  Tue, 27 May 2014 21:00:01 +1000

procps (1:3.3.9-4) unstable; urgency=medium

  * top compiles with libc >= 2.18

 -- Craig Small <csmall@debian.org>  Fri, 28 Feb 2014 22:11:29 +1100

procps (1:3.3.9-3) unstable; urgency=medium

  * Brought patch for sysctl --system forward Closes: #732920

 -- Craig Small <csmall@debian.org>  Wed, 19 Feb 2014 22:11:50 +1100

procps (1:3.3.9-2) unstable; urgency=high

  * Fix /usr/lib/${DEB_HOST_MULTIARCH}/libprocps.so symlink:
    libprocps3 ships libprocps.so.3, not libprocps.so.1
    thanks for report and patch Bernd Zeimetz <bzed@debian.org>
    Closes: #734610
  * Update to standards 3.9.5 - no change
  * Removed update-rc.d params as we use headers now

 -- Craig Small <csmall@debian.org>  Fri, 10 Jan 2014 22:24:15 +1100

procps (1:3.3.9-1) unstable; urgency=medium

  * New upstream version
    -  watch interval capacity was increased Closes: #720445
    - pwdx no longer fails in a nonexistent locale Closes: #718766
    - top clarified summary area Mem/Swap stats Closes: #718670
    - top batch mode -w (width) abend fixed Closes: #721204
    - top man page removed 'Bd/Ed' mdoc macros Closes: #725713
    - Skip some tests if kill cannot be found Closes: #725743
    - Added stolen time to vmstat Closes: #695404
  * Update to standards 3.9.4 - no change

 -- Craig Small <csmall@debian.org>  Mon, 16 Dec 2013 21:56:39 +1100

procps (1:3.3.8-2) unstable; urgency=low

  * Fixed numa dependencies Closes: #711312
  * Removed some tests that choked pbuilder Closes: #710851

 -- Craig Small <csmall@debian.org>  Thu, 06 Jun 2013 22:10:37 +1000

procps (1:3.3.8-1) unstable; urgency=low

  * New upstream version
    - top.1 license changed Closes: #708967
    - top has NUMA support Now require libnuma-dev for building
    - top suspend crash fixed Closes: #706259
    - top %CPU and %MEM columns widths restored Closes: #707648 
  * libprocps1-dev conflicts with libprocps0-dev Closes: 706920
  * init script uses --system Closes: #698888
  * Removed .la file installation

 -- Craig Small <csmall@debian.org>  Mon, 27 May 2013 21:25:22 +1000

procps (1:3.3.7-1) experimental; urgency=low

  * New upstream version
    -  top adds a powerful new filter feature wherein any
       window can include or exlude selected fields which
       contain specific values Closes: #682082, #682083
    - top user filtering with exclusion Closes: #682086
  * Removed nocheck to build options Closes: #699716
  * Minor typo in sysctl.conf fixed Closes: #698482

 -- Craig Small <csmall@debian.org>  Tue, 26 Mar 2013 22:11:49 +1100

procps (1:3.3.6-2) experimental; urgency=low

  * Experimental release
  * Has build-deps on dejagnu Closes: #699218 

 -- Craig Small <csmall@debian.org>  Sat, 02 Feb 2013 18:09:45 +1100
