=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: admin
 Priority: important
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: debhelper (>= 9.20120115), libncurses5-dev, libncursesw5-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9.20120115),
+    libncurses5-dev, libncursesw5-dev,
+    dejagnu,
+    libnuma-dev [amd64 i386 ia64 mips mipsel powerpc ppc64el],
+    dh-autoreconf, pkg-config
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/collab-maint/procps.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/procps.git;a=summary
 Homepage: http://gitorious.org/procps
@@ -25,7 +29,7 @@
  It contains free, kill, pkill, pgrep, pmap, ps, pwdx, skill, slabtop,
  snice, sysctl, tload, top, uptime, vmstat, w, and watch.
 
-Package: libprocps1
+Package: libprocps3
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -39,14 +43,14 @@
  This package contains the shared libraries necessary to run programs
  compilied with libprocps.
 
-Package: libprocps1-dev
+Package: libprocps3-dev
 Architecture: any
 Section: libdevel
 Priority: optional
-Depends: libprocps1 (=${binary:Version}), libc-dev, ${misc:Depends}
+Depends: libprocps3 (=${binary:Version}), ${misc:Depends}
 Provides: libprocps-dev
-Conflicts: libproc-dev
-Replaces: libproc-dev
+Conflicts: libproc-dev, libprocps0-dev, libprocps1-dev, libprocps4-dev (=1:3.3.10-1)
+Replaces: libproc-dev, libprocps0-dev, libprocps1-dev, libprocps4-dev (=1:3.3.10-1)
 Description: library for accessing process information from /proc
  These are the header files for libproc. Some packages using libproc
  to access process information from /proc need these to compile.
