=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 PACKAGE="procps"
 DEBROOT=$(CURDIR)/debian/tmp
-DEB_BUILD_OPTIONS='nocheck'
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -18,10 +17,10 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
-autogen-files := debian/libprocps1.install debian/libprocps1-dev.install \
-  debian/libprocps1-dev.links
+autogen-files := debian/libprocps3.install debian/libprocps3-dev.install \
+  debian/libprocps3-dev.links
 
 debian/%: debian/%.in 
 	sed -e 's/$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g' $< > $@ 
@@ -35,6 +34,7 @@
 	  --build=$(DEB_BUILD_GNU_TYPE) \
 	  --enable-watch8bit --enable-w-from \
 	  --enable-skill \
+	  --disable-pidof \
 	  --prefix=/usr \
 	  --exec-prefix=/ \
 	  --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -89,9 +89,9 @@
 
 override_dh_installinit:
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	dh_installinit --update-rcd-params='start 30 S .' 
+	dh_installinit 
 endif
 
 override_dh_makeshlibs:
-	dh_makeshlibs -V 'libprocps1 (>= 1:3.3.5-1)'
+	dh_makeshlibs -V 'libprocps3'
